import http.server


class EigenerHandler(http.server.BaseHTTPRequestHandler):

    def do_GET(self):
        self.send_response(200)
        self.send_header('Content-type', 'text-html')
        self.end_headers()
        msg = """
            <html>
                <head>
                    <title> Ying </title>
                <head>
                <body>
                    <b>Ying<b>
                    <p>Hello. To the website  <a href="http://localhost:54321/">Yang</a>?<br /></p>
                <body>
            <html> 
        """
        self.wfile.write(msg.encode())

port = 12345
Handler = EigenerHandler
address = ('', port)

server = http.server.HTTPServer(address, Handler)
server.serve_forever()